=== modified file 'image_bitmap.c'
--- image_bitmap.c	2016-06-12 18:10:41 +0000
+++ image_bitmap.c	2016-06-27 09:05:29 +0000
@@ -146,7 +146,7 @@
 	}
 	bm = FindBitmap(name, &width, &height);
 	if(bm == None) {
-		return (None);
+		return NULL;
 	}
 
 	image = AllocImage();
@@ -159,6 +159,6 @@
 	XFreePixmap(dpy, bm);
 	image->width  = width;
 	image->height = height;
-	return (image);
+	return image;
 }
 

=== modified file 'image_bitmap_builtin.c'
--- image_bitmap_builtin.c	2016-06-14 02:10:55 +0000
+++ image_bitmap_builtin.c	2016-06-27 09:05:29 +0000
@@ -297,23 +297,23 @@
 
 	/* Seatbelts */
 	if(!name || (strncmp(name, ":xpm:", 5) != 0)) {
-		return None;
+		return NULL;
 	}
 
 	for(i = 0; i < (sizeof pmtab) / (sizeof pmtab[0]); i++) {
 		if(strcasecmp(pmtab[i].name, name) == 0) {
 			Image *image = (*pmtab[i].proc)(cp);
-			if(image == None) {
+			if(image == NULL) {
 				fprintf(stderr, "%s:  unable to build pixmap \"%s\"\n",
 				        ProgramName, name);
-				return (None);
+				return NULL;
 			}
 			return image;
 		}
 	}
 
 	fprintf(stderr, "%s:  no such built-in pixmap \"%s\"\n", ProgramName, name);
-	return (None);
+	return NULL;
 }
 
 
@@ -786,16 +786,16 @@
 
 	/* Seatbelts */
 	if(!name || (strncmp(name, "%xpm:", 5) != 0)) {
-		return None;
+		return NULL;
 	}
 
 	for(i = 0; i < (sizeof pmtab) / (sizeof pmtab[0]); i++) {
 		if(strcasecmp(pmtab[i].name, name) == 0) {
 			Image *image = (*pmtab[i].proc)(cp);
-			if(image == None) {
+			if(image == NULL) {
 				fprintf(stderr, "%s:  unable to build pixmap \"%s\"\n",
 				        ProgramName, name);
-				return (None);
+				return NULL;
 			}
 			return image;
 		}
@@ -821,16 +821,16 @@
 		h--;
 	}
 
-	image = im1 = None;
+	image = im1 = NULL;
 	for(i = (in ? 0 : (h / 4) - 1); (i < h / 4) && (i >= 0); i += (in ? 1 : -1)) {
 		im = AllocImage();
 		if(! im) {
-			return (None);
+			return NULL;
 		}
 		im->pixmap = XCreatePixmap(dpy, Scr->Root, h, h, Scr->d_depth);
 		if(im->pixmap == None) {
 			free(im);
-			return (None);
+			return NULL;
 		}
 		Draw3DBorder(im->pixmap, 0, 0, h, h, Scr->TitleButtonShadowDepth, cp,
 		             off, true, false);
@@ -841,8 +841,8 @@
 		im->mask   = None;
 		im->width  = h;
 		im->height = h;
-		im->next   = None;
-		if(image == None) {
+		im->next   = NULL;
+		if(image == NULL) {
 			image = im1 = im;
 		}
 		else {
@@ -853,7 +853,7 @@
 	if(im1 != None) {
 		im1->next = image;
 	}
-	return (image);
+	return image;
 }
 
 static Image *
@@ -867,16 +867,16 @@
 		h--;
 	}
 
-	image = im1 = None;
+	image = im1 = NULL;
 	for(j = (up ? 4 : 0); j != (up ? -1 : 5); j += (up ? -1 : 1)) {
 		im = AllocImage();
 		if(! im) {
-			return (None);
+			return NULL;
 		}
 		im->pixmap = XCreatePixmap(dpy, Scr->Root, h, h, Scr->d_depth);
 		if(im->pixmap == None) {
 			free(im);
-			return (None);
+			return NULL;
 		}
 		Draw3DBorder(im->pixmap, 0, 0, h, h, Scr->TitleButtonShadowDepth, cp,
 		             off, true, false);
@@ -886,8 +886,8 @@
 		im->mask   = None;
 		im->width  = h;
 		im->height = h;
-		im->next   = None;
-		if(image == None) {
+		im->next   = NULL;
+		if(image == NULL) {
 			image = im1 = im;
 		}
 		else {
@@ -898,7 +898,7 @@
 	if(im1 != None) {
 		im1->next = image;
 	}
-	return (image);
+	return image;
 }
 
 static Image *
@@ -916,7 +916,7 @@
 		n = (h / 2) - 2;
 	}
 
-	image = im1 = None;
+	image = im1 = NULL;
 	for(j = (out ? -1 : 1) ; j < (in ? 2 : 0); j += 2) {
 		for(k = (j > 0 ? 0 : n - 1) ; (k >= 0) && (k < n); k += j) {
 			im = AllocImage();
@@ -930,8 +930,8 @@
 			im->mask   = None;
 			im->width  = h;
 			im->height = h;
-			im->next   = None;
-			if(image == None) {
+			im->next   = NULL;
+			if(image == NULL) {
 				image = im1 = im;
 			}
 			else {
@@ -943,7 +943,7 @@
 	if(im1 != None) {
 		im1->next = image;
 	}
-	return (image);
+	return image;
 }
 
 

=== modified file 'image_jpeg.c'
--- image_jpeg.c	2016-06-14 20:22:23 +0000
+++ image_jpeg.c	2016-06-27 09:05:29 +0000
@@ -89,13 +89,13 @@
 
 	fullname = ExpandPixmapPath(name);
 	if(! fullname) {
-		return (None);
+		return NULL;
 	}
 
 	image = AllocImage();
-	if(image == None) {
+	if(image == NULL) {
 		free(fullname);
-		return (None);
+		return NULL;
 	}
 
 	if((infile = fopen(fullname, "rb")) == NULL) {
@@ -105,7 +105,7 @@
 		fflush(stdout);
 		free(image);
 		free(fullname);
-		return None;
+		return NULL;
 	}
 	free(fullname);
 	cinfo.err = jpeg_std_error(&jerr.pub);
@@ -115,7 +115,7 @@
 		jpeg_destroy_decompress(&cinfo);
 		free(image);
 		fclose(infile);
-		return None;
+		return NULL;
 	}
 	jpeg_create_decompress(&cinfo);
 	jpeg_stdio_src(&cinfo, infile);
@@ -142,13 +142,13 @@
 		fprintf(stderr, "Image %s unsupported depth : %d\n", name, Scr->d_depth);
 		free(image);
 		fclose(infile);
-		return None;
+		return NULL;
 	}
-	if(ximage == None) {
+	if(ximage == NULL) {
 		fprintf(stderr, "cannot create image for %s\n", name);
 		free(image);
 		fclose(infile);
-		return None;
+		return NULL;
 	}
 	g = 0;
 	row_stride = cinfo.output_width * cinfo.output_components;

=== modified file 'image_xpm.c'
--- image_xpm.c	2016-06-12 18:10:41 +0000
+++ image_xpm.c	2016-06-27 09:05:29 +0000
@@ -29,7 +29,7 @@
 {
 	/* For non-animated requests, just load the file */
 	if(! strchr(name, '%')) {
-		return (LoadXpmImage(name, cp));
+		return LoadXpmImage(name, cp);
 	}
 
 	/* Else it's animated, so load/return the series */
@@ -58,13 +58,13 @@
 
 	fullname = ExpandPixmapPath(name);
 	if(! fullname) {
-		return (None);
+		return NULL;
 	}
 
 	image = AllocImage();
-	if(image == None) {
+	if(image == NULL) {
 		free(fullname);
-		return (None);
+		return NULL;
 	}
 
 	attributes.valuemask  = 0;
@@ -94,12 +94,12 @@
 		xpmErrorMessage(status, name, fullname);
 		free(fullname);
 		free(image);
-		return (None);
+		return NULL;
 	}
 	free(fullname);
 	image->width  = attributes.width;
 	image->height = attributes.height;
-	return (image);
+	return image;
 }
 
 static void

=== modified file 'image_xwd.c'
--- image_xwd.c	2016-06-12 18:10:41 +0000
+++ image_xwd.c	2016-06-27 09:05:29 +0000
@@ -72,7 +72,7 @@
 	if(filename [0] == '|') {
 		file = (FILE *) popen(filename + 1, "r");
 		if(file == NULL) {
-			return (None);
+			return NULL;
 		}
 		ispipe = 1;
 		if(AnimationActive) {
@@ -82,7 +82,7 @@
 	}
 	fullname = ExpandPixmapPath(filename);
 	if(! fullname) {
-		return (None);
+		return NULL;
 	}
 	file = fopen(fullname, "r");
 	free(fullname);
@@ -90,31 +90,31 @@
 		if(reportfilenotfound) {
 			fprintf(stderr, "unable to locate %s\n", filename);
 		}
-		return (None);
+		return NULL;
 	}
 file_opened:
 	len = fread((char *) &header, sizeof(header), 1, file);
 	if(len != 1) {
 		fprintf(stderr, "ctwm: cannot read %s\n", filename);
-		return (None);
+		return NULL;
 	}
 	if(*(char *) &swaptest) {
 		swaplong((char *) &header, sizeof(header));
 	}
 	if(header.file_version != XWD_FILE_VERSION) {
 		fprintf(stderr, "ctwm: XWD file format version mismatch : %s\n", filename);
-		return (None);
+		return NULL;
 	}
 	win_name_size = header.header_size - sizeof(header);
 	len = fread(win_name, win_name_size, 1, file);
 	if(len != 1) {
 		fprintf(stderr, "file %s has not the correct format\n", filename);
-		return (None);
+		return NULL;
 	}
 
 	if(header.pixmap_format == XYPixmap) {
 		fprintf(stderr, "ctwm: XYPixmap XWD file not supported : %s\n", filename);
-		return (None);
+		return NULL;
 	}
 	w       = header.pixmap_width;
 	h       = header.pixmap_height;
@@ -123,7 +123,7 @@
 	len = fread((char *) xwdcolors, sizeof(XWDColor), ncolors, file);
 	if(len != ncolors) {
 		fprintf(stderr, "file %s has not the correct format\n", filename);
-		return (None);
+		return NULL;
 	}
 	if(*(char *) &swaptest) {
 		for(i = 0; i < ncolors; i++) {
@@ -149,13 +149,13 @@
 	imagedata = malloc(buffer_size);
 	if(! imagedata) {
 		fprintf(stderr, "cannot allocate memory for image %s\n", filename);
-		return (None);
+		return NULL;
 	}
 	len = fread(imagedata, (int) buffer_size, 1, file);
 	if(len != 1) {
 		free(imagedata);
 		fprintf(stderr, "file %s has not the correct format\n", filename);
-		return (None);
+		return NULL;
 	}
 	if(ispipe) {
 		pclose(file);
@@ -167,10 +167,10 @@
 	image = XCreateImage(dpy, visual,  depth, header.pixmap_format,
 	                     0, (char *) imagedata, w, h,
 	                     header.bitmap_pad, header.bytes_per_line);
-	if(image == None) {
+	if(image == NULL) {
 		free(imagedata);
 		fprintf(stderr, "cannot create image for %s\n", filename);
-		return (None);
+		return NULL;
 	}
 	if(header.pixmap_format == ZPixmap) {
 		compress(image, colors, &ncolors);
@@ -198,7 +198,7 @@
 		for(i = 0; i < ncolors; i++) {
 			XFreeColors(dpy, cmap, &(colors [i].pixel), 1, 0L);
 		}
-		return (None);
+		return NULL;
 	}
 	if(header.pixmap_format == XYBitmap) {
 		gcvalues.foreground = cp.fore;
@@ -227,8 +227,8 @@
 
 	ret->pixmap = pixret;
 	ret->mask   = None;
-	ret->next   = None;
-	return (ret);
+	ret->next   = NULL;
+	return ret;
 }
 
 

